package com.example.administrator.zhapp.entity;

import java.util.List;

/**
 * Created by Administrator on 2016/9/23.
 */

public class HjywInfo {


    /**
     * Rows : [{"itemnum":"IT00075","location":"CENTER","binnum":"2Z05-031","lotnum":"1000","curbal":"0","physcnt":"370","description":"轨道压块（按图加工）"},{"itemnum":"IT00075","location":"CENTER","binnum":"2Z05-032Z","lotnum":"1001","curbal":"0","physcnt":"619","description":"轨道压块（按图加工）"},{"itemnum":"IT00075","location":"CENTER","binnum":"2Z07-012Y","lotnum":"1002","curbal":"249","physcnt":"519","description":"轨道压块（按图加工）"}]
     * Total : 3
     */

    private int Total;
    /**
     * itemnum : IT00075
     * location : CENTER
     * binnum : 2Z05-031
     * lotnum : 1000
     * curbal : 0
     * physcnt : 370
     * description : 轨道压块（按图加工）
     */

    private List<Hjyw> Rows;

    public int getTotal() {
        return Total;
    }

    public void setTotal(int Total) {
        this.Total = Total;
    }

    public List<Hjyw> getRows() {
        return Rows;
    }

    public void setRows(List<Hjyw> Rows) {
        this.Rows = Rows;
    }

    public static class Hjyw {
        private String itemnum;
        private String location;
        private String binnum;
        private String lotnum;//批次号
        private String curbal;
        private String physcnt;
        private String description;
        private String enterby;//操作人
        private String movehg;//移入货柜
        private String zysl;//转移数量
        private String in6;//货架专业
        private boolean isChecked;

        public String getIn6() {
            return in6;
        }

        public void setIn6(String in6) {
            this.in6 = in6;
        }

        public String getEnterby() {
            return enterby;
        }

        public void setEnterby(String enterby) {
            this.enterby = enterby;
        }

        public String getMovehg() {
            return movehg;
        }

        public String getZysl() {
            return zysl;
        }

        public void setZysl(String zysl) {
            this.zysl = zysl;
        }

        public void setMovehg(String movehg) {
            this.movehg = movehg;
        }

        public boolean isChecked() {
            return isChecked;
        }

        public void setChecked(boolean checked) {
            isChecked = checked;
        }


        public String getItemnum() {
            return itemnum;
        }

        public void setItemnum(String itemnum) {
            this.itemnum = itemnum;
        }

        public String getLocation() {
            return location;
        }

        public void setLocation(String location) {
            this.location = location;
        }

        public String getBinnum() {
            return binnum;
        }

        public void setBinnum(String binnum) {
            this.binnum = binnum;
        }

        public String getLotnum() {
            return lotnum;
        }

        public void setLotnum(String lotnum) {
            this.lotnum = lotnum;
        }

        public String getCurbal() {
            return curbal;
        }

        public void setCurbal(String curbal) {
            this.curbal = curbal;
        }

        public String getPhyscnt() {
            return physcnt;
        }

        public void setPhyscnt(String physcnt) {
            this.physcnt = physcnt;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }
    }
}
